package esercizio1;

public class Main { 
    public static void main(String[] args) { 
        // ERRORE PRECONDIZIONE 
        // BoundedStack bsneg = new BoundedStack(0); 
         BoundedStack bsneg = new BoundedStack(5); 
         bsneg.push(new Object()); 
         bsneg.push(new Object()); 
         bsneg.push(new Object()); 
         bsneg.push(new Object()); 
         bsneg.push(new Object()); 
         // errore: JML precondition is false 
         // bsneg.push(new Object()); 
         // provo a fare il pop; 
         bsneg.pop(); 
         bsneg.pop(); 
         bsneg.pop(); 
         bsneg.pop(); 
         bsneg.pop(); 
         // JML precondition is false 
         // bsneg.pop(); 
    } 

}
